Monzo on iOS 8


#1

Hi everyone!!!

My only smartphone is an iPhone with iOS8 that I cannot update. Does it mean that I cannot signup/use Monzo?

Thanks for your answers!!


(Rich) #3

according to the release notes, you have to be on iOS 9 or higher.
This has to do a lot with what Apple does in new versions of iOS and not what monzo can get around, for instance iOS 11 is doing away with 32bit apps


(Rika Raybould) #4

Hey, :wave:

Unfortunately, our app currently only supports iOS devices running iOS 9 or higher. This means that the app is supported on the iPhone 4s and later, though be aware that this requirement can change over time. :slight_smile:


(MikeF) #5

The currently supported versions of iOS are discussed here: